part of wow_cache_manager;

class _ImageCacheManager extends _BaseCacheManager with ImageCacheManager {
  static const String _key = 'imageCache';

  _ImageCacheManager({
    required Duration stalePeriod,
    required maxNrOfCacheObjects,
  }) : super(
          Config(
            _key,
            stalePeriod: stalePeriod,
            maxNrOfCacheObjects: maxNrOfCacheObjects,
            repo: JsonCacheInfoRepository(databaseName: _key),
          ),
        );
}
